package com.boman.web.core.service.accounting;

import com.boman.domain.dto.AjaxResult;
import com.boman.web.core.domain.AccountingData;
import com.boman.web.core.domain.TSampling514;
import com.boman.web.core.domain.vo.AccountingDataVo;

import java.io.IOException;
import java.util.List;

/**
 * @author tjf
 * @Date: 2022/05/13/11:13
 */
public interface IAccountingDataService {
    /**
     * 核酸检测列表(户籍地址)
     * @param accountingData
     * @return
     */
    List<AccountingDataVo> nucleicAcidHJList(AccountingDataVo accountingData);

    /**
     * 核酸检测列表(居住地址)
     * @param accountingData
     * @return
     */
    List<AccountingDataVo> nucleicAcidJzdzList(AccountingDataVo accountingData);

    /**
     *  核酸数据导出
     * @param accountingData
     * @throws IOException
     */
    List<AccountingData> getExport(AccountingData accountingData);

    AjaxResult toQianshan(String rc, String djsjqs, String djsjjs, String name, String sfzhm);

    /**
     * 插入数据
     * @param accountingDataVoList
     * @return
     */
    int insertAccountingData(List<AccountingData> accountingDataVoList,AccountingDataVo accountingData);

    AccountingDataVo getAccountingDataOne();

    List<AccountingDataVo> getAllData();

    List<TSampling514> getTSampling514AllData(String startTime,String endTime);

    List<TSampling514> getTSampling514AllDataNoTime();
}
